Bug 953955 - Memory leak in operation jobs code
Memory leak in operation jobs code
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
4.6
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.7
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 954011
  Show dependency treegraph
 
Reported: 2013-04-19 12:08 EDT by Thomas Segismont
Modified: 2013-09-03 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 954011 (view as bug list)
Environment:
Last Closed: 2013-09-03 10:43:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-04-19 12:08:21 EDT
Description of problem:
We have a bug in the operations jobs code where we authenticate the user who scheduled the operation and never log him out.

Consequently, the SessionManager cache keeps accumulating entries.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

See call hierarchies of org.rhq.enterprise.server.operation.OperationJob#getUserWithSession

The fix should make operation jobs log out the users and if possible the Session manager automatically evict timed out sessionq (with something like a task in a ScheduledExecutor).
Comment 1 John Mazzitelli 2013-04-23 23:46:52 EDT
git commit to master: cbfe893ad59715428bc8f72763c5b67f6b236779
Comment 2 Heiko W. Rupp 2013-09-03 10:43:47 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.